{
	kml.igo.poi.detailed.gge.pas
	v1.0
	Medwyn_cz (medwyn@seznam.cz)
	upravy pro Primo mikrom
}

{$INCLUDE kmlprimo.library.pas }

function ExportDescription: string;
begin
  result := 'KML - iGO Primo POI (Details)';
end;

function ExportPoint: string;
var
  name: string;
  description: string;
  n: integer;
begin
  //export pro geocache
  if GC.IsListed then
  begin
    if GC.isDisabled then
    //nejprve poskladame parametry.. 
    begin
       description := 'Cache is DISABLED! ';
       name:= 'DISABLED ';
    end;
    name := name + GC.IDTag + ' ' + UtfToAscii(GC.Name);
    description := description 
    +  GC.ID + ', '
    +  GC.IDTag + ', '
    +  GC.Name + ', ' 
    +  GC.Lat + ' ' + GC.Lon + ', '
    + 'Placed by ' + GC.Author
    + ' on ' + formatdatetime('dd"-"mm"-"yyyy', GC.Hidden) + ', '
    + 'LastFound: ' + formatdatetime('dd"-"mm"-"yyyy', GC.LastFound) + ', '
    + 'Updated: ' + formatdatetime('dd"-"mm"-"yyyy', GC.Updated); 
    //.. a potom nechame logiku kml.library bod zpracovat
    ProcessPoint(GC.CacheType,name,description,'',GC.Lat,GC.Lon);
  end;
  //export pro waypointy
  for n := 0 to GC.Waypoints.Count - 1 do
  begin
    if GC.Waypoints[n].isListed then
    //nejprve poskladame parametry.. 
    begin
      name := GC.IDTag + ' ' + UtfToAscii(GC.Name) + ' [' + GC.Waypoints[n].Name + ']';
      description := 
        'WP: ' + GC.Waypoints[n].ID + ', '
      + 'Type: ' + GC.Waypoints[n].WptType + ', '
      + 'Name: ' + GC.Waypoints[n].Name + ', '
      + 'Desc: ' + GC.Waypoints[n].Description + ', '
      + 'Parent: ' + GC.Name;
      //.. a potom nechame logiku kml.library bod zpracovat
      ProcessPoint('Waypoint',name,description,'',GC.Waypoints[n].Lat,GC.Waypoints[n].Lon);
    end
  end;
  Result := '';
end;
